org.apache.ode.bpel.pmapi

## Class TInstanceSummary.Factory

- java.lang.Object
- - org.apache.ode.bpel.pmapi.TInstanceSummary.Factory

- Enclosing interface:
    TInstanceSummary

      public static final class TInstanceSummary.Factory
      extends java.lang.Object

  A factory class with static methods for creating instances of this type.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TInstanceSummary` | `newInstance()`
    `static TInstanceSummary` | `newInstance(org.apache.xmlbeans.XmlOptions options)`
    `static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
    `static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis, org.apache.xmlbeans.XmlOptions options)` Deprecated. `XMLInputStream`
    `static TInstanceSummary` | `parse(java.io.File file)`
    `static TInstanceSummary` | `parse(java.io.File file, org.apache.xmlbeans.XmlOptions options)`
    `static TInstanceSummary` | `parse(java.io.InputStream is)`
    `static TInstanceSummary` | `parse(java.io.InputStream is, org.apache.xmlbeans.XmlOptions options)`
    `static TInstanceSummary` | `parse(org.w3c.dom.Node node)`
    `static TInstanceSummary` | `parse(org.w3c.dom.Node node, org.apache.xmlbeans.XmlOptions options)`
    `static TInstanceSummary` | `parse(java.io.Reader r)`
    `static TInstanceSummary` | `parse(java.io.Reader r, org.apache.xmlbeans.XmlOptions options)`
    `static TInstanceSummary` | `parse(java.lang.String xmlAsString)`
    `static TInstanceSummary` | `parse(java.lang.String xmlAsString, org.apache.xmlbeans.XmlOptions options)`
    `static TInstanceSummary` | `parse(java.net.URL u)`
    `static TInstanceSummary` | `parse(java.net.URL u, org.apache.xmlbeans.XmlOptions options)`
    `static TInstanceSummary` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
    `static TInstanceSummary` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis, org.apache.xmlbeans.XmlOptions options)` Deprecated. `XMLInputStream`
    `static TInstanceSummary` | `parse(javax.xml.stream.XMLStreamReader sr)`
    `static TInstanceSummary` | `parse(javax.xml.stream.XMLStreamReader sr, org.apache.xmlbeans.XmlOptions options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newInstance

          public static TInstanceSummary newInstance()

    - #### newInstance

          public static TInstanceSummary newInstance(org.apache.xmlbeans.XmlOptions options)

    - #### parse

          public static TInstanceSummary parse(java.lang.String xmlAsString)
                                        throws org.apache.xmlbeans.XmlException

      Parameters:
        `xmlAsString` - the string value to parse
      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TInstanceSummary parse(java.lang.String xmlAsString,
                                               org.apache.xmlbeans.XmlOptions options)
                                        throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TInstanceSummary parse(java.io.File file)
                                        throws org.apache.xmlbeans.XmlException,
                                               java.io.IOException

      Parameters:
        `file` - the file from which to load an xml document
      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TInstanceSummary parse(java.io.File file,
                                               org.apache.xmlbeans.XmlOptions options)
                                        throws org.apache.xmlbeans.XmlException,
                                               java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TInstanceSummary parse(java.net.URL u)
                                        throws org.apache.xmlbeans.XmlException,
                                               java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TInstanceSummary parse(java.net.URL u,
                                               org.apache.xmlbeans.XmlOptions options)
                                        throws org.apache.xmlbeans.XmlException,
                                               java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TInstanceSummary parse(java.io.InputStream is)
                                        throws org.apache.xmlbeans.XmlException,
                                               java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TInstanceSummary parse(java.io.InputStream is,
                                               org.apache.xmlbeans.XmlOptions options)
                                        throws org.apache.xmlbeans.XmlException,
                                               java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TInstanceSummary parse(java.io.Reader r)
                                        throws org.apache.xmlbeans.XmlException,
                                               java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TInstanceSummary parse(java.io.Reader r,
                                               org.apache.xmlbeans.XmlOptions options)
                                        throws org.apache.xmlbeans.XmlException,
                                               java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TInstanceSummary parse(javax.xml.stream.XMLStreamReader sr)
                                        throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TInstanceSummary parse(javax.xml.stream.XMLStreamReader sr,
                                               org.apache.xmlbeans.XmlOptions options)
                                        throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TInstanceSummary parse(org.w3c.dom.Node node)
                                        throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TInstanceSummary parse(org.w3c.dom.Node node,
                                               org.apache.xmlbeans.XmlOptions options)
                                        throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TInstanceSummary parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                        throws org.apache.xmlbeans.XmlException,
                                               org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. `XMLInputStream`
      Throws:
        `org.apache.xmlbeans.XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`

    - #### parse

          public static TInstanceSummary parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                               org.apache.xmlbeans.XmlOptions options)
                                        throws org.apache.xmlbeans.XmlException,
                                               org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. `XMLInputStream`
      Throws:
        `org.apache.xmlbeans.XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`

    - #### newValidatingXMLInputStream

          public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                                                                           throws org.apache.xmlbeans.XmlException,
                                                                                                  org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. `XMLInputStream`
      Throws:
        `org.apache.xmlbeans.XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`

    - #### newValidatingXMLInputStream

          public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                                                                                  org.apache.xmlbeans.XmlOptions options)
                                                                                           throws org.apache.xmlbeans.XmlException,
                                                                                                  org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. `XMLInputStream`
      Throws:
        `org.apache.xmlbeans.XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`